# "src/logger" | botserver

## Index

### Variables

- createLogger
- format
- logger
- transports

### Object literals

- config

## Variables

### createLogger

createLogger: any

- Defined in src/logger.ts:33

### format

format: any

- Defined in src/logger.ts:33

### Const logger

logger: any = createLogger({format: format.combine(format.colorize(),format.simple(),format.label({ label: 'GeneralBots' }),format.timestamp(),format.printf(nfo => {return `${nfo.timestamp} [${nfo.label}] ${nfo.level}: ${nfo.message}`})),levels: config.levels,transports: [new transports.Console()]})

- Defined in src/logger.ts:58

### transports

transports: any

- Defined in src/logger.ts:33

## Object literals

### Const config

config: object

- Defined in src/logger.ts:35

### colors

colors: object

- Defined in src/logger.ts:46

### custom

custom: string = "yellow"

- Defined in src/logger.ts:54

### data

data: string = "grey"

- Defined in src/logger.ts:50

### debug

debug: string = "blue"

- Defined in src/logger.ts:48

### error

error: string = "red"

- Defined in src/logger.ts:47

### info

info: string = "green"

- Defined in src/logger.ts:51

### silly

silly: string = "magenta"

- Defined in src/logger.ts:53

### verbose

verbose: string = "cyan"

- Defined in src/logger.ts:52

### warn

warn: string = "yellow"

- Defined in src/logger.ts:49

### levels

levels: object

- Defined in src/logger.ts:36

### custom

custom: number = 7

- Defined in src/logger.ts:44

### data

data: number = 3

- Defined in src/logger.ts:40

### debug

debug: number = 1

- Defined in src/logger.ts:38

### error

error: number = 0

- Defined in src/logger.ts:37

### info

info: number = 4

- Defined in src/logger.ts:41

### silly

silly: number = 6

- Defined in src/logger.ts:43

### verbose

verbose: number = 5

- Defined in src/logger.ts:42

### warn

warn: number = 2

- Defined in src/logger.ts:39

Generated using TypeDoc